Docs
Get Intake Form
GET /intakeForms/{formId}
GET
/intakeForms/{formId}Returns one intake form with its questions in order and each question's options. Needs an organization admin token. The form id comes from Events_GetIntakeForms.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| formId | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| requireCompletionBeforeCreate | boolean | |
| isArchived | boolean | |
| questions | GetIntakeFormResponseQuestionResponse[]| null |
GetIntakeFormResponseQuestionResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| label | string| null | |
| questionText | string| null | |
| type | string| null | |
| isRequired | boolean | |
| index | integer | |
| options | GetIntakeFormResponseOptionResponse[]| null |
GetIntakeFormResponseOptionResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| value | string| null | |
| color | string| null | |
| index | integer | |
| isArchived | boolean |